package com.example.what_the_fantasy.logs
import android.util.Log
import com.example.what_the_fantasy.data.model.User

class LogsUsers{
     fun logDebugAllUsers(users : List<User>, titleLog : String){
        for(user in users){
            Log.e(titleLog, "User created: ${user.username} => ${user.email} => ${user.imgUrl} => ${user.langage}")
        }
    }

    fun logDebugUserEmail(user : User?, titleLog : String){
        Log.e(titleLog, "User created: ${user?.username} => ${user?.email}")
    }

    fun logDebugUserLangage(user : User?, titleLog : String){
        Log.e(titleLog, "User Change: ${user?.username} => ${user?.langage}")
    }

    fun logInformationUserConnect(user : User?, titleLog : String){
        Log.e(titleLog, "${user?.username} logged in")
    }

    fun unlogInformationUserConnect(titleLog : String){
        Log.e(titleLog, "Logged out")
    }
}